#include "Form1.frm"

/*
 * Evento OnCreate.
 */
METHOD Form1OnCreate( oSender ) CLASS TForm1

   ::oGrid1:Alignments := { taLeftJustify, taLeftJustify, taCenter }
   ::oGrid1:HeaderImageList:Images := { "Head", "Index1", "Index2" }

   ::oGrid2:Alignments := { taLeftJustify, taLeftJustify, taCenter }
   ::oGrid2:HeaderImageList:Images := { "Head", "Index1", "Index2" }

return

/*
 * Evento OnShow.
 */
METHOD Form1OnShow( oSender ) CLASS TForm1

   request EDbfCdx

   DbSetPassword( "MyPassword" )
   DbUseArea( .T., "EDbfCdx", "Test.dbf", "Test1", .T., .F. )
   Test1->( OrdCreate( "Test.cdx", "Nombre", "Upper( First + Last )", ;
                               { || Upper( Field->First + Field->Last ) }, .F. ) )
   Test1->( OrdCreate( "Test.cdx", "Apellidos", "Upper( Last + First )", ;
                               { || Upper( Field->Last + Field->First ) }, .F. ) )

   Test1->( OrdListClear() )
   Test1->( OrdListAdd( "Test" ) )

   DbUseArea( .T., "EDbfCdx", "Test.dbf", "Test2", .T., .F. )
   ::oGrid1:SetFocus()

return

/*
 * Evento OnClick.
 */
METHOD SpeedButton1OnClick( oSender ) CLASS TForm1

   Test1->( OrdSetFocus( 1 ) )
   Test1->( DbGoTop() )
   ::oGrid1:Refresh()

return

/*
 * Evento OnClick.
 */
METHOD SpeedButton2OnClick( oSender ) CLASS TForm1

   Test1->( OrdSetFocus( 2 ) )
   Test1->( DbGoTop() )
   ::oGrid1:Refresh()

return

/*
 * Evento OnClick.
 */
METHOD Button1OnClick( oSender ) CLASS TForm1

   ::Close()

return

/*
 * Evento OnTimer.
 */
METHOD Timer1OnTimer( oSender ) CLASS TForm1

   ::Label3:Caption := Time()

return

/*
 * Evento OnDblClick.
 */
METHOD oGrid1OnDblClick( oSender ) CLASS TForm1

   MessageDlg( "Seleccionado: " + RTrim( Test1->First - ( " " + Test1->Last ) ), ;
                mtInformation, mbOk, poActiveCenter )

return

/*
 * Evento OnDblClick.
 */
METHOD oGrid2OnDblClick( oSender ) CLASS TForm1

   MessageDlg( "Seleccionado: " + RTrim( Test2->First - ( " " + Test2->Last ) ), ;
               mtInformation, mbOk, poActiveCenter )

return

/*
 * Evento OnDrawCell.
 */
METHOD oGridOnDrawCell( oSender, nRow, nCol, nTextColor, nBkColor ) CLASS TForm1

   nBkColor :=  If( nRow % 2 == 0, clWhite, clInfoBk )

return